#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		__python	/usr/bin/python2
#-----------------------------------------------------------------------------
Name		:	nmap
Version		:	7.92
Release		:	14.8.0.0%{?dist}
Summary		:	network exploration tool and security scanner
Group		:	Applications/File

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	http://nmap.org/dist

Source0		:	%{name}-%{version}.tar.bz2
#-----------------------------------------------------------------------------
BuildRequires	:	python2
BuildRequires	:	libpcap
BuildRequires	:	lua
BuildRequires	:	pcre

Requires	:	python2
#-----------------------------------------------------------------------------
%description
Nmap is a utility for network exploration or security auditing.
It supports ping scanning (determine which hosts are up),
many port scanning techniques (determine what services the
hosts are offering), and TCP/IP fingerprinting (remote host
operating system identification). Nmap also offers flexible
target and port specification, decoy scanning, determination
of TCP sequence predictability characteristics, reverse-identd
scanning, and more. In addition to the classic command-line
nmap executable, the Nmap suite includes a flexible data transfer,
redirection, and debugging tool netcat utility ncat), a utility
for comparing scan results (ndiff), and a packet generation
and response analysis tool (nping).

%prep
%setup -q

#---------------------------------------------------------
#building application
%build

autoconf -v -i -f
PYTHON=%{__python}					\
./configure						\
        --prefix=%{_prefix}				\
	--sbindir=%{_sbindir}				\
	--includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--datadir=%{_datadir}				\
	--localedir=%{_datadir}/locale			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--without-zenmap				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

%files			
%defattr(-,root,root,-)
%doc README.md
%license LICENSE
%doc docs/nmap.usage.txt
%{_bindir}/ncat
%{_bindir}/ndiff
%{_bindir}/%{name}
%{_bindir}/nping
%{_bindir}/uninstall_ndiff
%{python2_sitelib}/ndiff.py*
%{_datadir}/ncat/ca-bundle.crt
%{_datadir}/%{name}/%{name}*
%{_datadir}/%{name}/nse_main.lua
%{_datadir}/%{name}/nselib/*.{lua,luadoc}
%{_datadir}/%{name}/nselib/data/*
%{_datadir}/%{name}/scripts/*.nse
%{_datadir}/%{name}/scripts/script.db
%{_mandir}/*/man1/*.1.gz
%{_mandir}/man1/*.1.gz

%changelog
